---
title: Topup Card
description: In this api we will be toping up the customer’s card.
---

In this api we will be toping up the customer’s card. If the affiliate has prepaid wallet we will check the balance of the affiliate wallet and let customer do the topup and send an email to affiliate. If affiliate is postpaid we will allow customer to topup directly.

## POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/topup
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| token | text | (length 10, required) |
| checksum | text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| entity_id | text | The Customer Id registered with the system (length 50, required) |
| amount | numeric | 00.00 (required) |
## Request-Example:

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/topup' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'amount=1'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | numeric | 400- fail,200-success(length 3, required) |
| message | text | Success, Fail(required) |
| data | json | {“transaction_id”:””}(required) |
## Success-Response:

```
 {
   "status": 200,
    "message": "success",
    "data":{
  	 “transaction_id”:””
	}
}
```
## Fail-Response:

```
{
    "status": 400,
    "message": "fail"
}
```